Package io.flutter.embedding.android

## Class FlutterActivity.CachedEngineIntentBuilder

- java.lang.Object
- - io.flutter.embedding.android.FlutterActivity.CachedEngineIntentBuilder

- Enclosing class:
    FlutterActivity

      public static class FlutterActivity.CachedEngineIntentBuilder
      extends Object

  Builder to create an `Intent` that launches a `FlutterActivity` with an existing `FlutterEngine` that is cached in `FlutterEngineCache`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachedEngineIntentBuilder​(Class<? extends FlutterActivity> activityClass, String engineId)` | Constructor that allows this `CachedEngineIntentBuilder` to be used by subclasses of `FlutterActivity`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FlutterActivity.CachedEngineIntentBuilder` | `backgroundMode​(FlutterActivityLaunchConfigs.BackgroundMode backgroundMode)` | The mode of `FlutterActivity`'s background, either `FlutterActivityLaunchConfigs.BackgroundMode.opaque` or `FlutterActivityLaunchConfigs.BackgroundMode.transparent`.
    `Intent` | `build​(Context context)` | Creates and returns an `Intent` that will launch a `FlutterActivity` with the desired configuration.
    `FlutterActivity.CachedEngineIntentBuilder` | `destroyEngineWithActivity​(boolean destroyEngineWithActivity)` | Whether the cached `FlutterEngine` should be destroyed and removed from the cache when this `FlutterActivity` is destroyed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedEngineIntentBuilder

          public CachedEngineIntentBuilder​(@NonNull
                                           Class<? extends FlutterActivity> activityClass,
                                           @NonNull
                                           String engineId)

      Constructor that allows this `CachedEngineIntentBuilder` to be used by subclasses of `FlutterActivity`.

      Subclasses of `FlutterActivity` should provide their own static version of `FlutterActivity.withCachedEngine(String)`, which returns an instance of `CachedEngineIntentBuilder` constructed with a `Class` reference to the `FlutterActivity` subclass, e.g.:

      `return new CachedEngineIntentBuilder(MyFlutterActivity.class, engineId);`

      Parameters:
        `activityClass` - A subclass of `FlutterActivity`.
        `engineId` - The engine id.

  - ### Method Detail

    - #### destroyEngineWithActivity

          public FlutterActivity.CachedEngineIntentBuilder destroyEngineWithActivity​(boolean destroyEngineWithActivity)

      Whether the cached `FlutterEngine` should be destroyed and removed from the cache when this `FlutterActivity` is destroyed.

      The default value is `false`.

      Parameters:
        `destroyEngineWithActivity` - Whether to destroy the engine.
      Returns:
        The builder.

    - #### backgroundMode

          @NonNull
          public FlutterActivity.CachedEngineIntentBuilder backgroundMode​(@NonNull
                                                                          FlutterActivityLaunchConfigs.BackgroundMode backgroundMode)

      The mode of `FlutterActivity`'s background, either `FlutterActivityLaunchConfigs.BackgroundMode.opaque` or `FlutterActivityLaunchConfigs.BackgroundMode.transparent`.

      The default background mode is `FlutterActivityLaunchConfigs.BackgroundMode.opaque`.

      Choosing a background mode of `FlutterActivityLaunchConfigs.BackgroundMode.transparent` will configure the inner `FlutterView` of this `FlutterActivity` to be configured with a `FlutterTextureView` to support transparency. This choice has a non-trivial performance impact. A transparent background should only be used if it is necessary for the app design being implemented.

      A `FlutterActivity` that is configured with a background mode of `FlutterActivityLaunchConfigs.BackgroundMode.transparent` must have a theme applied to it that includes the following property: `<item name="android:windowIsTranslucent">true</item>`.

      Parameters:
        `backgroundMode` - The background mode
      Returns:
        The builder.

    - #### build

          @NonNull
          public Intent build​(@NonNull
                              Context context)

      Creates and returns an `Intent` that will launch a `FlutterActivity` with the desired configuration.
      Parameters:
        `context` - The context. e.g. An Activity.
      Returns:
        The intent.